Class UmlOnSignalAction

Declaration :

- C++ : class UmlOnSignalAction : public UmlBaseOnSignalAction
- Java : abstract class UmlOnSignalAction extends UmlBaseOnSignalAction

Directly inherited by : UmlBaseBroadcastSignalAction UmlBaseSendSignalAction

Artifact : UmlOnSignalAction

Operation UmlOnSignalAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlOnSignalAction(in id : item_id, in s : string) :
- C++ : protected: UmlOnSignalAction(void * id, const QCString & s) : UmlBaseOnSignalAction(id, s)
- Java : protected UmlOnSignalAction(long id, String s)

All public operations : apply , associatedDiagram , children , childrenVisible , cppPostCondition , cppPreCondition , cppSignal , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaPostCondition , javaPreCondition , javaSignal , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_CppPostCondition , set_CppPreCondition , set_CppSignal , set_Description , set_isMarked , set_JavaPostCondition , set_JavaPreCondition , set_JavaSignal , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Signal , set_Stereotype , signal , stereotype , supportFile , unload , unload , unload